Loading...
Searching...
No Matches
elastix::TransformixMain Class Reference
Core » Kernel

`#include <elxTransformixMain.h>`

## Detailed Description

A class with all functionality to configure transformix.

The TransformixMain class inherits from ElastixMain. We overwrite the Run() -function. In the new Run() the Run()-function from the ElastixTemplate-class is not called (as in elxElastixMain.cxx), because this time we don't want to start a registration, but just apply a transformation to an input image.

Definition at line 39 of file elxTransformixMain.h.

Inheritance diagram for elastix::TransformixMain:
[legend]

## Public Types

using | ArgumentMapType
using | ComponentDatabasePointer
using | ComponentDescriptionType
using | ConstPointer = itk::SmartPointer<const Self>
using | DataObjectContainerPointer
using | DataObjectContainerType
using | DataObjectPointer
using | DBIndexType
using | ImageDimensionType
using | ObjectContainerPointer
using | ObjectContainerType
using | ObjectPointer
using | ParameterMapType
using | PixelTypeDescriptionType
using | Pointer = itk::SmartPointer<Self>
using | PtrToCreator
using | Self = TransformixMain
using | Superclass = MainBase
Public Types inherited from elastix::MainBase
using | ArgumentMapType = Configuration::CommandLineArgumentMapType
using | ComponentDatabasePointer = ComponentDatabase::Pointer
using | ComponentDescriptionType = ComponentDatabase::ComponentDescriptionType
using | ConstPointer = itk::SmartPointer<const Self>
using | DataObjectContainerPointer = ElastixBase::DataObjectContainerPointer
using | DataObjectContainerType = ElastixBase::DataObjectContainerType
using | DataObjectPointer = itk::DataObject::Pointer
using | DBIndexType = ComponentDatabase::IndexType
using | FlatDirectionCosinesType = ElastixBase::FlatDirectionCosinesType
using | ImageDimensionType = ComponentDatabase::ImageDimensionType
using | ObjectContainerPointer = ElastixBase::ObjectContainerPointer
using | ObjectContainerType = ElastixBase::ObjectContainerType
using | ObjectPointer = itk::Object::Pointer
using | ParameterMapType = itk::ParameterMapInterface::ParameterMapType
using | PixelTypeDescriptionType = ComponentDatabase::PixelTypeDescriptionType
using | Pointer = itk::SmartPointer<Self>
using | PtrToCreator = ComponentDatabase::PtrToCreator
using | Self = MainBase
using | Superclass = itk::Object

## Public Member Functions

virtual const char * | GetClassName () const
| ITK_DISALLOW_COPY_AND_MOVE (TransformixMain)
int | Run () override
virtual int | Run (const ArgumentMapType &argmap)
virtual int | Run (const ArgumentMapType &argmap, const ParameterMapType &inputMap)
int | Run (const ArgumentMapType &argmap, const std::vector< ParameterMapType > &transformParameterMaps, itk::TransformBase *=nullptr)
virtual void | SetInputImageContainer (DataObjectContainerType *inputImageContainer)
Public Member Functions inherited from elastix::MainBase
virtual DBIndexType | GetDBIndex () const
ElastixBase & | GetElastixBase () const
virtual ImageDimensionType | GetFixedImageDimension () const
virtual PixelTypeDescriptionType | GetFixedImagePixelType () const
virtual ImageDimensionType | GetMovingImageDimension () const
virtual PixelTypeDescriptionType | GetMovingImagePixelType () const
| ITK_DISALLOW_COPY_AND_MOVE (MainBase)
| itkGetModifiableObjectMacro (Configuration, Configuration)
| itkGetModifiableObjectMacro (Elastix, itk::Object)
| itkGetModifiableObjectMacro (MovingImageContainer, DataObjectContainerType)
| itkGetModifiableObjectMacro (ResultDeformationFieldContainer, DataObjectContainerType)
| itkGetModifiableObjectMacro (ResultImageContainer, DataObjectContainerType)
virtual void | SetConfiguration (Configuration *_arg)
virtual void | SetFixedImageDimension (ImageDimensionType _arg)
virtual void | SetFixedImagePixelType (PixelTypeDescriptionType _arg)
virtual void | SetMaximumNumberOfThreads () const
virtual void | SetMovingImageContainer (DataObjectContainerType *_arg)
virtual void | SetMovingImageDimension (ImageDimensionType _arg)
virtual void | SetMovingImagePixelType (PixelTypeDescriptionType _arg)
virtual void | SetProcessPriority () const
virtual void | SetResultDeformationFieldContainer (DataObjectContainerType *_arg)
virtual void | SetResultImageContainer (DataObjectContainerType *_arg)

## Static Public Member Functions

static Pointer | New ()
Static Public Member Functions inherited from elastix::MainBase
static const ComponentDatabase & | GetComponentDatabase ()

## Protected Member Functions

int | InitDBIndex () override
| TransformixMain ()=default
| ~TransformixMain () override
Protected Member Functions inherited from elastix::MainBase
virtual ObjectPointer | CreateComponent (const ComponentDescriptionType &name)
virtual ObjectContainerPointer | CreateComponents (const ComponentDescriptionType &key, const ComponentDescriptionType &defaultComponentName, int &errorcode, bool mandatoryComponent=true)
| MainBase ()
| ~MainBase () override=0

## Private Member Functions

void | EnterCommandLineArgumentsWithTransformParameterMaps (const ArgumentMapType &argmap, const std::vector< ParameterMapType > &transformParameterMaps)
int | RunWithTransform (itk::TransformBase *)

## Additional Inherited Members

Protected Attributes inherited from elastix::MainBase
DBIndexType | m_DBIndex { 0 }
ObjectPointer | m_Elastix { nullptr }
ImageDimensionType | m_FixedImageDimension { 0 }
PixelTypeDescriptionType | m_FixedImagePixelType {}
DataObjectContainerPointer | m_MovingImageContainer { nullptr }
ImageDimensionType | m_MovingImageDimension { 0 }
PixelTypeDescriptionType | m_MovingImagePixelType {}
DataObjectContainerPointer | m_ResultDeformationFieldContainer { nullptr }
DataObjectContainerPointer | m_ResultImageContainer { nullptr }
std::vector< Configuration::ConstPointer > | m_TransformConfigurations {}

## Member Typedef Documentation

## ArgumentMapType

using elastix::MainBase::ArgumentMapType

Elastix components.

Definition at line 65 of file elxMainBase.h.

## ComponentDatabasePointer

using elastix::MainBase::ComponentDatabasePointer

Typedefs for the database that holds pointers to New() functions. Those functions are used to instantiate components, such as the metric etc.

Definition at line 75 of file elxMainBase.h.

## ComponentDescriptionType

using elastix::MainBase::ComponentDescriptionType

Definition at line 77 of file elxMainBase.h.

## ConstPointer

using elastix::TransformixMain::ConstPointer = itk::SmartPointer<const Self>

Definition at line 48 of file elxTransformixMain.h.

## DataObjectContainerPointer

using elastix::MainBase::DataObjectContainerPointer

Definition at line 69 of file elxMainBase.h.

## DataObjectContainerType

using elastix::MainBase::DataObjectContainerType

Definition at line 67 of file elxMainBase.h.

## DataObjectPointer

using elastix::MainBase::DataObjectPointer

Definition at line 62 of file elxMainBase.h.

## DBIndexType

using elastix::MainBase::DBIndexType

Definition at line 80 of file elxMainBase.h.

## ImageDimensionType

using elastix::MainBase::ImageDimensionType

Definition at line 79 of file elxMainBase.h.

## ObjectContainerPointer

using elastix::MainBase::ObjectContainerPointer

Definition at line 68 of file elxMainBase.h.

## ObjectContainerType

using elastix::MainBase::ObjectContainerType

Definition at line 66 of file elxMainBase.h.

## ObjectPointer

using elastix::MainBase::ObjectPointer

Typedef's from Superclass. typedef's from itk base Object.

Definition at line 61 of file elxMainBase.h.

## ParameterMapType

using elastix::MainBase::ParameterMapType

Typedef that is used in the elastix dll version.

Definition at line 83 of file elxMainBase.h.

## PixelTypeDescriptionType

using elastix::MainBase::PixelTypeDescriptionType

Definition at line 78 of file elxMainBase.h.

## Pointer

using elastix::TransformixMain::Pointer = itk::SmartPointer<Self>

Definition at line 47 of file elxTransformixMain.h.

## PtrToCreator

using elastix::MainBase::PtrToCreator

Definition at line 76 of file elxMainBase.h.

## Self

using elastix::TransformixMain::Self = TransformixMain

Standard itk.

Definition at line 45 of file elxTransformixMain.h.

## Superclass

using elastix::TransformixMain::Superclass = MainBase

Definition at line 46 of file elxTransformixMain.h.

## Constructor & Destructor Documentation

## TransformixMain()

elastix::TransformixMain::TransformixMain | ( |  | ) |

protected default

## ~TransformixMain()

elastix::TransformixMain::~TransformixMain | ( |  | ) |

override protected

## Member Function Documentation

## EnterCommandLineArgumentsWithTransformParameterMaps()

void elastix::TransformixMain::EnterCommandLineArgumentsWithTransformParameterMaps | ( | const ArgumentMapType & | argmap,
|  | const std::vector< ParameterMapType > & | transformParameterMaps )

private

## GetClassName()

virtual const char * elastix::TransformixMain::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from elastix::MainBase.

## InitDBIndex()

int elastix::TransformixMain::InitDBIndex | ( |  | ) |

override protected virtual

InitDBIndex sets m_DBIndex to the value obtained from the ComponentDatabase.

Implements elastix::MainBase.

## ITK_DISALLOW_COPY_AND_MOVE()

elastix::TransformixMain::ITK_DISALLOW_COPY_AND_MOVE | ( | TransformixMain |  | ) |

## New()

Pointer elastix::TransformixMain::New | ( |  | ) |

static

Method for creation through the object factory.

## Run() [1/4]

int elastix::TransformixMain::Run | ( |  | ) |

override virtual

Overwrite Run() from base-class.

Implements elastix::MainBase.

## Run() [2/4]

virtual int elastix::MainBase::Run | ( | const ArgumentMapType & | argmap | ) |

virtual

Start the registration this version of 'run' first calls this->EnterCommandLineParameters(argc,argv) and then calls run().

Reimplemented from elastix::MainBase.

## Run() [3/4]

virtual int elastix::MainBase::Run | ( | const ArgumentMapType & | argmap,
|  | const ParameterMapType & | inputMap )

virtual

Reimplemented from elastix::MainBase.

## Run() [4/4]

int elastix::TransformixMain::Run | ( | const ArgumentMapType & | argmap,
|  | const std::vector< ParameterMapType > & | transformParameterMaps,
|  | itk::TransformBase * | = nullptr )

Run version for using transformix as library.

## RunWithTransform()

int elastix::TransformixMain::RunWithTransform | ( | itk::TransformBase * |  | ) |

private

Does Run with an optionally specified Transform.

## SetInputImageContainer()

virtual void elastix::TransformixMain::SetInputImageContainer | ( | DataObjectContainerType * | inputImageContainer | ) |

virtual

Get and Set input- and outputImage.

Generated on 1768596610 for elastix by 1.15.0 |